Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.repository.perforce
Class PerforceClientCommand

    java.lang.Object
      com.atlassian.bamboo.command.Command
          com.atlassian.bamboo.repository.perforce.AbstractPerforceCommand
              com.atlassian.bamboo.repository.perforce.PerforceClientCommand

    public class PerforceClientCommand

extends AbstractPerforceCommand

This works out what the client's root is so we can work out where perforce checks out the source files.

Constructor Summary
`PerforceClientCommand()`

Method Summary
`List` | `getAltRoots()`
`String` | `getClientRoot()` Crude!
`Commandline` | `getCommandLine()` Basic Perforce P4 command line.

Methods inherited from class com.atlassian.bamboo.repository.perforce.AbstractPerforceCommand
`getClient, getP4Executable, getPort, getUser, getWorkingDirectory, setClient, setP4Executable, setPort, setUser`

Methods inherited from class com.atlassian.bamboo.command.Command
`executeCommand, getEnvironmentSetting, getErrorOutput, getOutput, hasErrors, isExecutableExists, isWindowsPlatform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerforceClientCommand

    public PerforceClientCommand()

Method Detail

### getCommandLine

    public Commandline getCommandLine()

  Basic Perforce P4 command line.

  Specified by:
    `getCommandLine` in class `Command`
  Returns:
    The perforce command to checkout the changes to the build since the last time it was called.

### getClientRoot

    public String getClientRoot()

  Crude!

  Returns:
    The clients root directory

### getAltRoots

    public List getAltRoots()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.